aboutsummaryrefslogtreecommitdiff
path: root/toolchain/binutils
diff options
context:
space:
mode:
authorGravatar Bernhard Reutner-Fischer <rep.dot.nop@gmail.com>2007-02-09 13:31:55 +0000
committerGravatar Bernhard Reutner-Fischer <rep.dot.nop@gmail.com>2007-02-09 13:31:55 +0000
commit7779fd745393c02e51976c1d1888db16adc225f8 (patch)
tree40e8e24c25635c89c73f0781c4e22bf272d55a24 /toolchain/binutils
parent19818694fe6fa3412a6636a3ed783e0d6832d6e6 (diff)
downloadbuildroot-7779fd745393c02e51976c1d1888db16adc225f8.tar.gz
buildroot-7779fd745393c02e51976c1d1888db16adc225f8.tar.bz2
- add gcc-4.0.4
- add knob to enable unsupported, deprecated, obsoleted versions of packages
Diffstat (limited to 'toolchain/binutils')
-rw-r--r--toolchain/binutils/Config.in27
1 files changed, 14 insertions, 13 deletions
diff --git a/toolchain/binutils/Config.in b/toolchain/binutils/Config.in
index 3711caa8fb..efcc0ed86c 100644
--- a/toolchain/binutils/Config.in
+++ b/toolchain/binutils/Config.in
@@ -9,14 +9,15 @@ choice
Select the version of binutils you wish to use.
config BR2_BINUTILS_VERSION_2_14_90_0_8
- depends !BR2_nios2
+ depends !BR2_nios2 && BR2_DEPRECATED
bool "binutils 2.14.90.0.8"
config BR2_BINUTILS_VERSION_2_15
+ depends BR2_DEPRECATED
bool "binutils 2.15"
config BR2_BINUTILS_VERSION_2_15_94_0_2_2
- depends !BR2_nios2
+ depends !BR2_nios2 && BR2_DEPRECATED
bool "binutils 2.15.94.0.2.2"
config BR2_BINUTILS_VERSION_2_16_1
@@ -24,15 +25,15 @@ choice
bool "binutils 2.16.1"
config BR2_BINUTILS_VERSION_2_16_90_0_3
- depends !BR2_nios2
+ depends !BR2_nios2 && BR2_DEPRECATED
bool "binutils 2.16.90.0.3"
config BR2_BINUTILS_VERSION_2_16_91_0_5
- depends !BR2_nios2
+ depends !BR2_nios2 && BR2_DEPRECATED
bool "binutils 2.16.91.0.5"
config BR2_BINUTILS_VERSION_2_16_91_0_6
- depends !BR2_nios2
+ depends !BR2_nios2 && BR2_DEPRECATED
bool "binutils 2.16.91.0.6"
config BR2_BINUTILS_VERSION_2_16_91_0_7
@@ -44,35 +45,35 @@ choice
bool "binutils 2.17"
config BR2_BINUTILS_VERSION_2_17_50_0_2
- depends !BR2_nios2
+ depends !BR2_nios2 && BR2_DEPRECATED
bool "binutils 2.17.50.0.2"
config BR2_BINUTILS_VERSION_2_17_50_0_3
- depends !BR2_nios2
+ depends !BR2_nios2 && BR2_DEPRECATED
bool "binutils 2.17.50.0.3"
config BR2_BINUTILS_VERSION_2_17_50_0_4
- depends !BR2_nios2
+ depends !BR2_nios2 && BR2_DEPRECATED
bool "binutils 2.17.50.0.4"
config BR2_BINUTILS_VERSION_2_17_50_0_5
- depends !BR2_nios2
+ depends !BR2_nios2 && BR2_DEPRECATED
bool "binutils 2.17.50.0.5"
config BR2_BINUTILS_VERSION_2_17_50_0_6
- depends !BR2_nios2
+ depends !BR2_nios2 && BR2_DEPRECATED
bool "binutils 2.17.50.0.6"
config BR2_BINUTILS_VERSION_2_17_50_0_7
- depends !BR2_nios2
+ depends !BR2_nios2 && BR2_DEPRECATED
bool "binutils 2.17.50.0.7"
config BR2_BINUTILS_VERSION_2_17_50_0_8
- depends !BR2_nios2
+ depends !BR2_nios2 && BR2_DEPRECATED
bool "binutils 2.17.50.0.8"
config BR2_BINUTILS_VERSION_2_17_50_0_9
- depends !BR2_nios2
+ depends !BR2_nios2 && BR2_DEPRECATED
bool "binutils 2.17.50.0.9"
config BR2_BINUTILS_VERSION_2_17_50_0_10